# IteratorAggregate::getIterator

(PHP 5, PHP 7)

IteratorAggregate::getIterator — Retrieve an external iterator

### Description

abstract public IteratorAggregate::getIterator ( void ) : Traversable

Returns an external iterator.

### Parameters

This function has no parameters.

### Return Values

An instance of an object implementing Iterator or Traversable

### Errors/Exceptions

Throws an Exception on failure.